zoneminder-zmupdate.pl(8)

NAME
zmupdate.pl - check and upgrade ZoneMinder database

SYNOPSIS
 zmupdate.pl -c,--check | -f,--freshen | -v<version>,--version=<version> [-u<dbuser> -p<dbpass>]

DESCRIPTION
This script just checks what the most recent release of ZoneMinder is at the the moment. It will eventually be responsible for applying and configuring upgrades etc, including on the fly upgrades.

OPTIONS
 -c, --check                      - Check for updated versions of ZoneMinder
 -f, --freshen                    - Freshen the configuration in the database. Equivalent of old zmconfig.pl -noi
 --migrate-events                 - Update database structures as per USE_DEEP_STORAGE setting.
 -v<version>, --version=<version> - Force upgrade to the current version from <version>
 -u<dbuser>, --user=<dbuser>      - Alternate DB user with privileges to alter DB
 -p<dbpass>, --pass=<dbpass>      - Password of alternate DB user with privileges to alter DB
 -d<dir>,--dir=<dir>              - Directory containing update files if not in default build location
 -interactive                     - interact with the user
 -nointeractive                   - do not interact with the user